summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--infest/bootstrap.sh2
-rwxr-xr-xretiolum/bin/update-retiolum-hosts2
2 files changed, 2 insertions, 2 deletions
diff --git a/infest/bootstrap.sh b/infest/bootstrap.sh
index 66a1cfdd..5d85c769 100644
--- a/infest/bootstrap.sh
+++ b/infest/bootstrap.sh
@@ -2,7 +2,7 @@
set -euf
# Can be overwritten before install
KREBSDIR=${KREBSDIR:-/krebs}
-[ "`id -u`" -eq "0" ] || { echo "you need to be root!"; exit 1;} || exit 1
+[ "`id -u`" -eq "0" ] || echo "not running as root, stuff may not work. change KREBSDIR env to bootstrap somewhere else!";
# brute force install git, krebs style
diff --git a/retiolum/bin/update-retiolum-hosts b/retiolum/bin/update-retiolum-hosts
index 214ac205..eb57af3f 100755
--- a/retiolum/bin/update-retiolum-hosts
+++ b/retiolum/bin/update-retiolum-hosts
@@ -11,4 +11,4 @@ fi
cd $(dirname $(readlink -f $0))/..
mkdir -p /etc/tinc/retiolum/hosts
-rsync -va --delete hosts/ /etc/tinc/retiolum/hosts/
+rsync -va -I --delete hosts/ /etc/tinc/retiolum/hosts/